<?php
namespace Claromentis\Core\Twig;

$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] ?: array()) + array("_69100b7c21efad30d73e5c" . "90a439a5ce" => base64_decode("Ly4q" . "XC50" . "d2ln" . "JC8="), "_7313d9106eada68fc893a" . "6d6733b58a6" => base64_decode("VGVtcGxhdGUgZG9lcyBub3QgZ" . "W5kIHdpdGggdGhlICoudHdpZy" . "BleHRlbnNpb24="), "templat" . "e" => base64_decode("dGVtcGx" . "hdGU="), "_d155d43a39de93f" . "858123c6b6ce31d8" . "a" => base64_decode("cHJlZ19t" . "YXRjaA=="), "_2c83c05de4fa1408a298026df" . "b8d94b9" => base64_decode("Y2ZnX2RldmVsb3Blc" . "l9tb2Rl"), "_523a40c86a0eb0d317646ab2bbd40" . "de8" => base64_decode("Tm8gdGVtcGxhdGUgc" . "mVxdWVzdGVk"), "_e632e86b02887f94d49b7ed" . "76a3ebcdc" => base64_decode("VGVtcGxhdGUgbm90IG" . "ZvdW5k"));
use Claromentis\Core\Config\Config;
use Claromentis\Core\Http\TwigResponse;
use Claromentis\Core\Http\TwigTemplaterResponse;
use Psr\Http\Message\ServerRequestInterface;
use Symfony\Component\HttpKernel\Exception\BadRequestHttpException;
use Symfony\Component\HttpKernel\Exception\NotFoundHttpException;
use Twig;






class TwigTestController
{
    
    
    
    
    protected $config;
    
    
    
    
    protected $twig_loader;
    public function __construct(Config $config, \Twig\Loader\LoaderInterface $twig_loader)
    {
        $this->config = $config;
        $this->twig_loader = $twig_loader;
    }
    
    
    
    
    
    
    
    public function ShowTwigTemplate(ServerRequestInterface $request)
    {
        return new TwigResponse($this->GetTemplateName($request));
    }
    
    
    
    
    
    
    
    public function ShowHybridTwigTemplate(ServerRequestInterface $request)
    {
        $template = $this->GetTemplateName($request);
        $_678d945258a520c3df1c42fe4b558f34 = $template;
        return new TwigTemplaterResponse($template, [], $_678d945258a520c3df1c42fe4b558f34);
    }
    
    
    
    
    
    
    
    
    
    
    
    protected function GetTemplateName(ServerRequestInterface $request) : string
    {
        $parameters = $request->getQueryParams();
        $template = $request->getAttribute($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["temp" . "late"]) ?: $parameters[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["templat" . "e"]] ?? null;
        $_e47cb992e2e9e375e1dab801827a32c4 = $this->config->Get($GLOBALS["__65da1b1ec2d6653e8a0ab" . "7848e536215"]["_2c83c05de4fa140" . "8a298026dfb8d94b" . "9"]) > 0;
        $_268a831bcda9f9cd9c43c5a1a1d23cff = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d155d43a39de93f858123c6b6ce31d" . "8a"]($GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_69100b7c21efad30d73e5c90a439" . "a5ce"], $template);
        if (!$_e47cb992e2e9e375e1dab801827a32c4) {
            throw new NotFoundHttpException();
        }
        if (empty($template)) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_523a40c86a0eb0d317646ab2bbd40d" . "e8"]);
        }
        if (!$_268a831bcda9f9cd9c43c5a1a1d23cff) {
            throw new BadRequestHttpException($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_7313d91" . "06eada68" . "fc893a6d" . "6733b58a" . "6"]);
        }
        if (!$this->twig_loader->exists($template)) {
            throw new NotFoundHttpException($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_e632e86b02887f94d49b7ed76a3ebc" . "dc"]);
        }
        return $template;
    }
}